# Class AddParent

java.lang.Object
org.apache.jmeter.gui.action.AddParent

All Implemented Interfaces:
  `Command`

public class AddParent extends Object implements Command
Implements the Add Parent menu command

## Constructor Summary

Constructors
Constructor
Description
`AddParent()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addParentToTree(TestElement newParent)`
`void`
`doAction(ActionEvent e)`
`Set<String>`
`getActionNames()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AddParent

public AddParent()

## Method Details

### doAction

public void doAction(ActionEvent e)

Specified by:
  `doAction` in interface `Command`

### getActionNames

public Set<String> getActionNames()

Specified by:
  `getActionNames` in interface `Command`

### addParentToTree

protected void addParentToTree(TestElement newParent)